msynctool(1)

NAME

msynctool - Command line interface for OpenSync

SYNTAX

msynctool option [arguments] [option]
msynctool --sync SYNC_GROUP

DESCRIPTION

Command line interface for OpenSync
You can use this tool to synchronize your devices and applications using the OpenSync framework from the command line.

- First you have to create a SYNC_GROUP:

    msynctool --addgroup evo2-sync

- Now you have to add the members to this group. (2 at least)

Note: The first argument to the --addmember command is the group to which you want to add a member, the second argument is the name of the plugin to add.

    msynctool --addmember evo2-sync evo2-sync

    msynctool --addmember evo2-sync file-sync

- The next thing you have to do is to configure the plugins.

    msynctool --configure evo2-sync 1
    (configures the first group member)

    msynctool --configure evo2-sync 2
    (configures the second group member)

- Now your group is ready for usage!

    msynctool --sync evo2-sync

OPTIONS

--listgroups
    Lists all groups

--listplugins
    Lists all plugins

--listobjects
    Lists all objtypes that the engine understands

    objtypes: contact, data, event, note, todo

--showformats objtype
    Lists all formats that a objtype can have

--showgroup groupname
    Lists all members of the group

--sync groupname
    Sync all members in a group

--filter-objtype objtype
    Filter out objtype

    For example, the following syncs only contacts:

    msynctool --sync evo2-sync --filter-objtype event --filter-objtype note --filter-objtype todo

Note: if you use "--filter-objtype data" it syncs nothing !?

--slow-sync objtype
    Perform a slow-sync of all members in the group

[--wait]
    Don't immediately start to sync, but wait for a client to initialize the sync

[--multi]
    Repeat to wait for sync alerts

--addgroup groupname
    Add a new group

--delgroup groupname
    Delete the given group

--addmember groupname plugintype
    Add a member to the group

--configure groupname memberid
    Configure a member. memberid as returned by --showgroup

[--manual]
    Make manual engine iterations. Only for debugging

[--configdir]
    Set a different configdir than ~/.opensync

[--conflict 1-9/d/i/n]
    Resolve all conflicts as side 1-9 wins, duplicate, ignore, or keep newer

ENVIRONMENT VARIABLES

OSYNC_TRACE
    When you want to provide trace files please turn on tracing like this:

    export OSYNC_TRACE=/path/to/log/dir

    When you run some opensync commands now, opensync will generate a couple of Thread*.log files in this directory.

    You can exclude sensitive data in the trace files with:

    export OSYNC_PRIVACY=1

SEE ALSO
convcard(1),file-sync.conf(5)

AUTHORS

This manual page was written for the Debian GNU/Linux project by Matthias Jahn <jahn.matthias@freenet.de>. But it may be used by other distributions.

msynctool was written by Armin Bauer and the OpenSync project